HISAT2-INSPECT-S(1)

NAME
hisat2-inspect-s - HISAT2 index inspector, small index binary

SYNOPSIS
hisat2-inspect [options]* <ht2_base>

DESCRIPTION
HISAT2 version 2.2.1 by Daehwan Kim (infphilo@gmail.com, http://www.ccb.jhu.edu/people/infphilo)

<ht2_base>
    ht2 filename minus trailing .1.ht2/.2.ht2

    By default, prints FASTA records of the indexed nucleotide sequences to standard out. With -n, just prints names. With -s, just prints a summary of the index parameters and sequences. With -e, preserves colors if applicable.

OPTIONS

-a/--across <int>
    Number of characters across in FASTA output (default: 60)

-s/--summary
    Print summary incl. ref names, lengths, index properties

-n/--names
    Print reference sequence names only

--snp
    Print SNPs

--ss
    Print splice sites

--ss-all
    Print splice sites including those not in the global index

--exon
    Print exons

-e/--ht2-ref
    Reconstruct reference from .ht2 (slow, preserves colors)

-v/--verbose
    Verbose output (for debugging)

-h/--help
    print detailed description of tool and its options

--usage
    print this usage message

64-bit Built on Debian 21 January 2026 Compiler: gcc version 15.2.0 (Ubuntu 15.2.0-11ubuntu1) Options: -O3 -funroll-loops -g3 -Wdate-time -D_FORTIFY_SOURCE=3 -std=c++11 Sizeof {int, long, long long, void*, size_t, off_t}: {4, 8, 8, 8, 8, 8}